Name:           python-microeye
Version:        2.3.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A python toolkit for fluorescence microscopy         that features hardware control, data analysis and vizualization         for super-resolution single-molecule localization microscopy and         single-partical tracking.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://doi.org/10.1016/j.ohx.2022.e00368
Source:         %{pypi_source microeye}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'microeye' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-microeye
Summary:        %{summary}

%description -n python3-microeye %_description


%prep
%autosetup -p1 -n microeye-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-microeye -f %{pyproject_files}


%changelog
%autochangelog